# safe_base_hello.tcl --
#
# This is an example of a mode definition script. Please see the manual for
# a description of its usage and functionality.
#
# It makes revald use a safe base interpreter to evaluate client scripts in.
# Additionally, it customizes the interpreter by providing:
# - a global variable containing the name of the evaluation mode, and
# - a proc [hello] using that variable
#

# command to create the dedicated interpreter
set interpCreateCmd [list ::safe::interpCreate]

# script to customize the dedicated interpreter
set customizationCode {
	set modeName safe_base_hello
	
	proc hello {} {
		global modeName
		return "Greetings from revald at [info hostname], using custom evaluation mode \"$modeName\"."
	}
}

# EOF
